<script>
import { Bar } from 'vue-chartjs'
import apirequest from '@/controller/apirequest.js'

let chartdata = {
    labels: [],
    datasets: [{
        label: 'Anzahl aufgenommener rechtsmotivierter Taten',
        backgroundColor: 'rgb(255, 99, 132)',
        borderColor: 'rgb(255, 99, 132)',
        data: []
    }]
  };
let options = {
  scales: {
    yAxes: [{
      ticks: {
        beginAtZero: true
      }
    }]
  },
  responsive: true,
  maintainAspectRatio: false
};

export default {
  extends: Bar,
  async mounted () {
    await apirequest.monthcounts().then(monthcounts => {
      chartdata.labels = Object.keys(monthcounts)
      chartdata.datasets[0].data = Object.values(monthcounts)
      this.renderChart(chartdata, options)
    })
  }
}
</script>
<style>
canvas{
  height: 90vh;
  min-height: 90vh;
}
</style>
